Open CASCADE Technology: Units_UnitsSequence Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Units_UnitsSequence Class Reference

`#include <Units_UnitsSequence.hxx>`

Inheritance diagram for Units_UnitsSequence:
[legend]

## Public Member Functions
| Units_UnitsSequence ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
void | Clear ()
void | Append (const Handle< Units_Unit > &anItem)
void | Append (const Handle< Units_UnitsSequence > &aSequence)
void | Prepend (const Handle< Units_Unit > &anItem)
void | Prepend (const Handle< Units_UnitsSequence > &aSequence)
void | Reverse ()
void | InsertBefore (const Standard_Integer anIndex, const Handle< Units_Unit > &anItem)
void | InsertBefore (const Standard_Integer anIndex, const Handle< Units_UnitsSequence > &aSequence)
void | InsertAfter (const Standard_Integer anIndex, const Handle< Units_Unit > &anItem)
void | InsertAfter (const Standard_Integer anIndex, const Handle< Units_UnitsSequence > &aSequence)
void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Handle< Units_UnitsSequence > | Split (const Standard_Integer anIndex)
void | SetValue (const Standard_Integer anIndex, const Handle< Units_Unit > &anItem)
const Handle< Units_Unit > & | Value (const Standard_Integer anIndex) const
Handle< Units_Unit > & | ChangeValue (const Standard_Integer anIndex)
void | Remove (const Standard_Integer anIndex)
void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Units_UtsSequence & | Sequence () const
Units_UtsSequence & | ChangeSequence ()
Handle< Units_UnitsSequence > | ShallowCopy () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

Units_UnitsSequence::Units_UnitsSequence | ( |  | ) |

## Member Function Documentation

void Units_UnitsSequence::Append | ( | const Handle< Units_Unit > & | anItem | ) |

void Units_UnitsSequence::Append | ( | const Handle< Units_UnitsSequence > & | aSequence | ) |

Units_UtsSequence& Units_UnitsSequence::ChangeSequence | ( |  | ) |

Handle< Units_Unit >& Units_UnitsSequence::ChangeValue | ( | const Standard_Integer | anIndex | ) |

void Units_UnitsSequence::Clear | ( |  | ) |

void Units_UnitsSequence::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |  |

void Units_UnitsSequence::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle< Units_Unit > & | anItem
| ) |  |

void Units_UnitsSequence::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle< Units_UnitsSequence > & | aSequence
| ) |  |

void Units_UnitsSequence::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle< Units_Unit > & | anItem
| ) |  |

void Units_UnitsSequence::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle< Units_UnitsSequence > & | aSequence
| ) |  |

Standard_Boolean Units_UnitsSequence::IsEmpty | ( |  | ) | const

Standard_Integer Units_UnitsSequence::Length | ( |  | ) | const

void Units_UnitsSequence::Prepend | ( | const Handle< Units_Unit > & | anItem | ) |

void Units_UnitsSequence::Prepend | ( | const Handle< Units_UnitsSequence > & | aSequence | ) |

void Units_UnitsSequence::Remove | ( | const Standard_Integer | anIndex | ) |

void Units_UnitsSequence::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |  |

void Units_UnitsSequence::Reverse | ( |  | ) |

const Units_UtsSequence& Units_UnitsSequence::Sequence | ( |  | ) | const

void Units_UnitsSequence::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle< Units_Unit > & | anItem
| ) |  |

Handle< Units_UnitsSequence > Units_UnitsSequence::ShallowCopy | ( |  | ) | const

Handle< Units_UnitsSequence > Units_UnitsSequence::Split | ( | const Standard_Integer | anIndex | ) |

const Handle< Units_Unit >& Units_UnitsSequence::Value | ( | const Standard_Integer | anIndex | ) | const

The documentation for this class was generated from the following file:

- Units_UnitsSequence.hxx